PDA

View Full Version : collada import export issues



Mr.Bloodworth
11-04-2010, 09:17 AM
Seems that lightwave 9.6 does not fully support COLLADA .

On export, no normals or smoothing is exported. On import, COLLADA models with rigs are all sorts of messed up, even ones exported from lightwave :lwicon:. It does not even seem to be able to import the models provided in the COLLADA model library.

Is this just me, or is 9.6 support lacking? Are there any guides to exporting and importing reliably in lightwave 9.6? Is COLLADA FULLY supported in 10?

prometheus
11-04-2010, 12:03 PM
To me collada seems like a joke, exports from sketchup or daz studio feels really screwed up, but then again it may be that it requires quite some afterthought on how to export throu this file format and as that may be, it doesnīt make life easier exactly.

I tried to export a collada file from sketchup 8, but lightwave and even deep exploration couldnīt find any geometry layers within that, textures are exported out thou, this could be a sketchup problem thou.

Daz studio collada exports does export out the collada file a little awkward, I tried both collada types but the bones are a mess.

The same collada files are working flawlessly when imported to vue xstream 8 ple thou, so the bones are all there and correctly aligned ready to pose within vue.

Im not quite sure about collada export from lightwave to vue thou, I believe it should work well thou the last time I tried.

I havent tested against anything else thou.

Michael

Greenlaw
11-04-2010, 12:39 PM
Seems that lightwave 9.6 does not fully support COLLADA .

On export, no normals or smoothing is exported. On import, COLLADA models with rigs are all sorts of messed up, even ones exported from lightwave :lwicon:. It does not even seem to be able to import the models provided in the COLLADA model library.

Is this just me, or is 9.6 support lacking? Are there any guides to exporting and importing reliably in lightwave 9.6? Is COLLADA FULLY supported in 10?

Yes, Lightwave support for both Collada and FBX has been frustrating for a lot of people, but Newtek is focusing on getting it right for 9.6.1 and 10.

We'll see if they come through.

BTW, if you're not already on the 9.6.1 beta list, you should sign up and submit a fogbugz. It's free so there's no reason not to.

G.

Mr.Bloodworth
11-04-2010, 02:06 PM
Well thats disheartening. As it was a major selling point for me to buy the upgrade.

When you say you support something, you should probably support it. 8~

Does it work in 9.6.1? And where is this list?

Greenlaw
11-04-2010, 02:23 PM
If you're a registered LW 9.6 user, you can register to use the 9.6.1 beta through your account.

To get access to LW 10 and CORE, you need to be registered separately for that program of course. (FYI, the 10 FBX is already working much better; haven't checked Collada yet. Obviously, I can't say much more than that here.)

Mr.Bloodworth
11-04-2010, 02:32 PM
Thank you for the help.

However not really looking forward to upgrading again just to get what I thought I had.

Ill look into your suggestions.

Greenlaw
11-04-2010, 04:45 PM
The point is you may not get what you want if you don't participate in the beta program and tell them what you need.